Macaulay2 » Documentation
Packages » Permutations :: ord
next | previous | forward | backward | up | index | toc

# ord -- computes the order of a permutation

- Usage:
    `ord w`
- Inputs:
  - w, a permutation,
- Outputs:
  - an integer,

## Description

The order of a permutation $p$ is the smallest positive integer $n$ such that $p^n$ is the identity permutation, i.e., its order in the symmetric group.

    i1 : p = permutation {3,1,2,5,4}

    o1 = Permutation{3, 1, 2, 5, 4}

    o1 : Permutation

    i2 : ord p

    o2 = 6

## Ways to use ord:

- `ord(Permutation)`

## For the programmer

The object ord is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Permutations/Documentation/mainDocs.m2:541:0.